Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Exception Class Reference

The class Exception and its subclasses indicate conditions that a reasonable application might want to catch. More...

Inherits exception.

Inherited by SQLException, ClassNotFoundException, IllegalMonitorStateException, IllegalStateException, InstantiationException, InterruptedException, IOException, MissingResourceException, MutexException, NoSuchElementException, PoolException, RuntimeException, ThreadException, TranscoderException, and UnknownHostException.

## Public Member Functions
| Exception (const char *msg)
| Exception (const LogString &msg)
| Exception (const Exception &src)
Exception & | operator= (const Exception &src)
const char * | what () const throw ()

## Detailed Description

The class Exception and its subclasses indicate conditions that a reasonable application might want to catch.

## Constructor & Destructor Documentation

Exception | ( | const char * | msg | ) |

Exception | ( | const LogString & | msg | ) |

Exception | ( | const Exception & | src | ) |

## Member Function Documentation

Exception& operator= | ( | const Exception & | src | ) |

const char* what | ( |  | ) | const
throw | ( |
| ) |  |

The documentation for this class was generated from the following file:

- exception.h